.doc-app {
  $viewport-height: calc(100vh - var(--navbar-height) - 2 * var(--spacer-default));

  display: grid;
  background: var(--background-color-alt);
  gap: var(--spacer-default);
  grid-template-columns: 250px auto;

  &__content {
    max-height: $viewport-height;
    padding: 0 var(--spacer-default) 3em var(--spacer-default);
    border-radius: var(--border-radius);
    margin: var(--spacer-default) var(--spacer-default) var(--spacer-default) 0;
    background: var(--background-color);
    overflow-y: auto;
  }

  &__menu {
    max-height: $viewport-height;
    margin: var(--spacer-default) 0 var(--spacer-default) var(--spacer-default);
    font-size: var(--font-size-smaller);
    overflow-y: auto;

    &__collapsible {
      summary {
        cursor: pointer;

        &::after {
          color: var(--state-color-mute);
          content: '▸';
        }
      }

      &[open] summary::after {
        content: '▾';
      }
    }

    .rui-menu {
      border: none;
      border-radius: var(--border-radius);
      background: var(--background-color);

      &-item {
        &.router-link-exact-active {
          color: var(--primary-color)
        }
      }
    }
  }

  &__scroll-to-top {
    position: fixed;
    bottom: var(--spacer-medium);
    left: 50%;
    display: inline-block;
    padding: var(--spacer-small);
    border-radius: var(--border-radius);
    background: var(--component-content-background);
    opacity: 0.5;
    transform: translateX(50%);
    transition: opacity linear 0.2s;

    button {
      border-radius: var(--border-radius-small);
    }

    &:hover{
      box-shadow: 0 0 15px -8px var(--border-color);
      opacity: 1;
    }
  }
}
